aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2019-06-13 18:15:38 +0200
committerHarald Welte <laforge@gnumonks.org>2019-06-13 18:32:07 +0200
commit271d4876f2e68f0e396cb8e4ba6bda4bf2bf5544 (patch)
tree5f4c058f3861425614e9fd482e99af574d00305f
parent6a739d1841512b71ccb70e84627417d91f866d25 (diff)
contrib/jenkins.sh: Build libosmocore for Cortex-M4 during build testing
-rwxr-xr-xcontrib/jenkins.sh31
1 files changed, 29 insertions, 2 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index b4ee280..19bc222 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,13 +1,40 @@
#!/bin/bash
+if ! [ -x "$(command -v osmo-deps.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
+set -ex
+
TOPDIR=`pwd`
-set -e
+deps="$TOPDIR/deps"
+inst="$TOPDIR/install"
+export deps inst
+
+# adapted from
+echo
+echo "=============== libosmocore cross-build ==========="
+mkdir -p "$deps"
+cd "$deps"
+osmo-deps.sh libosmocore master
+cd libosmocore
+
+mkdir -p "$inst/stow"
+autoreconf --install --force
+./configure --enable-static --prefix="$inst/stow/libosmocore" --host=arm-none-eabi --enable-embedded --disable-doxygen --disable-shared --disable-pseudotalloc --enable-external-tests CFLAGS="-Os -ffunction-sections -fdata-sections -nostartfiles -nodefaultlibs -Werror -Wno-error=deprecated -Wno-error=deprecated-declarations -Wno-error=cpp -mthumb -Os -mlong-calls -g3 -mcpu=cortex-m4 -mfloat-abi=softfp -mfpu=fpv4-sp-d16 -I /home/laforge/projects/git/osmo-ccid-firmware/sysmoOCTSIM -Wno-error=format"
+make $PARALLEL_MAKE install
+make clean
+STOW_DIR="$inst/stow" stow --restow libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig"
+export LD_LIBRARY_PATH="$inst/lib"
echo
echo "=============== sysmoOCTSIM firmware build ==========="
cd $TOPDIR/sysmoOCTSIM
cd gcc
make clean
-make $PARALLEL_MAKE
+make SYSTEM_PREFIX="$inst" $PARALLEL_MAKE
make clean